Bug 1785735 - Review Request: convert2rhel - Converting CentOS/OL to RHEL
Summary: Review Request: convert2rhel - Converting CentOS/OL to RHEL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-20 19:38 UTC by Michal Bocek
Modified: 2020-01-22 02:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-22 01:04:50 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Michal Bocek 2019-12-20 19:38:59 UTC
I would appreciate a review of this new package. I'd like it to land in EPEL 6 and EPEL 7 only (not Fedora). This package is not available in RHEL.

Spec URL:
https://copr-be.cloud.fedoraproject.org/results/@oamg/convert2rhel/epel-7-x86_64/01133741-convert2rhel/convert2rhel.spec
SRPM URL:
https://copr-be.cloud.fedoraproject.org/results/@oamg/convert2rhel/epel-7-x86_64/01133741-convert2rhel/convert2rhel-0.9-1.201912201828Z.master.el7.src.rpm
Description:
The purpose of the convert2rhel tool is to provide an automated way of
converting the installed other-than-RHEL OS distribution to Red Hat Enterprise
Linux (RHEL). The tool replaces all the original OS-signed packages with the
RHEL ones. Available are conversions of CentOS 6/7 and Oracle Linux 6/7 to
the respective major version of RHEL.

Fedora Account System Username: mbocek

EPEL 6 koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39814445
EPEL 7 koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39814352

I'm the upstream maintainer.

Comment 1 Neal Gompa 2019-12-20 22:40:02 UTC
Taking this review.

Comment 2 Neal Gompa 2019-12-21 00:54:31 UTC
First pass review:

> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
> %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

This is unneeded since it's completely unused.

> Release:        1.201912201828Z.master%{?dist}

This should be simplified down to 1%{?dist}, since it's working from a tag-release

> Source0:        https://github.com/oamg/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

This can be simplified to "%{url}/archive/v%{version}/%{name}-%{version}.tar.gz"

> %if ! 0%{?epel:1}
> BuildRequires:  epel-rpm-macros
> %endif

This can be simplified just to "BuildRequires: epel-rpm-macros"

> Requires:       gnupg

This doesn't exist on RHEL 6 or RHEL 7. Only "gnupg2" is shipped in RHEL.

> %if 0%{?epel} && 0%{?epel} == 6

This can be simplified to "%if 0%{?el6} && 0%{?epel}"

> %if 0%{?epel} && 0%{?epel} >= 7

This can be simplified to "%if 0%{?el7} && 0%{?epel}"

> %{python2_sitelib}

This should be change to: "%{python2_sitelib}/%{name}*"

> %{!?_licensedir:%global license %%doc}

This isn't needed since you have epel-rpm-macros...

Comment 3 Michal Bocek 2019-12-21 15:33:07 UTC
Thanks for the review, Neal. 

(In reply to Neal Gompa from comment #2)
> > Release:        1.201912201828Z.master%{?dist}
> 
> This should be simplified down to 1%{?dist}, since it's working from a
> tag-release

Right, I actually have that in the upstream spec: https://github.com/oamg/convert2rhel/blob/master/packaging/epel/convert2rhel.spec#L9

> > %{python2_sitelib}
> 
> This should be change to: "%{python2_sitelib}/%{name}*"

Thanks, it actually revealed that I was packaging my manpage building script to /usr/lib/python2.7/site-packages/man/build_manpage.py. I'm removing it now in the spec.

I've fixed the other comments in https://github.com/oamg/convert2rhel/pull/7
I've also merged this change to the spec: https://github.com/oamg/convert2rhel/pull/3

Spec URL: https://copr-be.cloud.fedoraproject.org/results/@oamg/convert2rhel/epel-7-x86_64/01134083-convert2rhel/convert2rhel.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@oamg/convert2rhel/epel-7-x86_64/01134083-convert2rhel/convert2rhel-0.9-1.201912211524Z.master.el7.src.rpm
EPEL 6 koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39846878
EPEL 7 koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39846899

Comment 4 Neal Gompa 2019-12-21 22:21:22 UTC
Review notes:

[x] Package follows Fedora EPEL Packaging Guidelines
[x] Package generally follows Fedora EPEL Python 2 Packaging Guidelines
[x] License information is correct and license file is correctly installed as a license file
[x] Package builds and installs


PACKAGE APPROVED.

Additional note: Please fix the Release field on import. The current value is more or less not permitted and doesn't even match what you're packaging.

Comment 5 Gwyn Ciesla 2020-01-07 13:53:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/convert2rhel

Comment 6 Neal Gompa 2020-01-13 13:52:55 UTC
Are you having trouble importing the package? It's been nearly a week since your repository was made...

Comment 7 Michal Bocek 2020-01-13 17:48:56 UTC
Hi Neal, thanks for asking. No troubles, just too many things on my plate. Today, I've created the koji builds out of the distgit repo and submitted Bodhi update requests: https://bodhi.fedoraproject.org/updates/?packages=convert2rhel.
Do you happen to know how can I get a Bugzilla component created for the package?

Comment 8 Neal Gompa 2020-01-14 00:00:48 UTC
(In reply to Michal Bocek from comment #7)
> Hi Neal, thanks for asking. No troubles, just too many things on my plate.
> Today, I've created the koji builds out of the distgit repo and submitted
> Bodhi update requests:
> https://bodhi.fedoraproject.org/updates/?packages=convert2rhel.
> Do you happen to know how can I get a Bugzilla component created for the
> package?

It happens automatically once the Bodhi update passes through.

Comment 9 Fedora Update System 2020-01-14 01:59:24 UTC
convert2rhel-0.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-8491374876

Comment 10 Fedora Update System 2020-01-14 02:07:11 UTC
convert2rhel-0.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0eb19755f1

Comment 11 Fedora Update System 2020-01-22 01:04:50 UTC
convert2rhel-0.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-01-22 02:09:40 UTC
convert2rhel-0.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.